<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<title><?php echo $cfg_webname; ?>- 會員註冊</title>
<link href="templets/style/login.css" rel="stylesheet" type="text/css" />
<script src="templets/js/j.js" language="javascript" type="text/javascript"></script>
<script src="templets/js/base.js" language="javascript" type="text/javascript"></script>
<script src='templets/js/CheckPassStrength.js' type="text/javascript" language="javascript"></script>
<script type="text/javascript" language="javascript" src='templets/js/reg_new.js'></script>
<script type="text/javascript" language="javascript">
<!--
var reMethod = "<?php echo ($cfg_soft_lang == 'utf-8') ? 'POST' : 'GET';?>",pwdmin = <?php echo $cfg_mb_pwdmin; ?>;

function changeAuthCode() {
	var num = 	new Date().getTime();
	var rand = Math.round(Math.random() * 10000);
	num = num + rand;
	$('#ver_code').css('visibility','visible');
	if ($("#vdimgck")[0]) {
		$("#vdimgck")[0].src = "../include/vdimgck.php?tag=" + num;
	}
	return false;	
}

function hideVc()
{
	$('#ver_code').css('visibility','hidden');
}


$(document).ready(function(){ 
	$("#passwordLevel").removeClass().addClass("rank r0");
	$("#vdcode").focus(function(){
	  var leftpos = $("#vdcode").position().left;
	  var toppos = $("#vdcode").position().top - 42;
	  $('#ver_code').css('left', leftpos+'px');
	  $('#ver_code').css('top', toppos+'px');
	  $('#ver_code').css('visibility','visible');
	});
	$("input[type='password']").click(function(){
	  hideVc()
	});
	$("#txtUsername").click(function(){
	  hideVc()
	});
	$("input[type='radio']").focus(function(){
	  hideVc()
	});
	/*
	$("#vdcode").blur(function(){
		  $('#ver_code').css('visibility','hidden');
	});
	*/
})

-->
</script>
</head>
<body>
<div class="header">
  <div class="auto960">
    <ul class="userMenu fRight">
      <li> <a title="網站主頁" href="../">網站主頁</a> </li>
      <li> <a title="註冊" href="../member/index_do.php?fmdo=user&dopost=regnew">註冊</a> </li>
      <li> <a title="登錄" href="../member/login.php">登錄</a> </li>
      <li class="help"> <a title="DEDECMS 幫助中心" href="http://help.dedecms.com">幫助</a> </li>
    </ul>
    <span>
    <script type="text/javascript">
 var now=(new Date()).getHours();
 if(now>0&&now<=6){
document.write("午夜好，");
 }else if(now>6&&now<=11){
 document.write("早上好，");
 }else if(now>11&&now<=14){
 document.write("中午好，");
 }else if(now>14&&now<=18){
 document.write("下午好，");
 }else{
 document.write("晚上好，");
 }
</script>
    <i class="green">遊客</i> 你可以選擇到 </span> </div>
</div>
<div class="wrapper">
  <div class="logo fLeft"> <a href="/"> <img  style="margin:8px 0 0 25px;"alt="會員中心" src="../member/templets/images/login_logo.gif"/></a></div>
  <div class="banner fRight"> <img src="../member/templets/images/530x56.gif" width="530" height="56" /></div>
</div>
<div id="login" class="bor" >

  <div class="<?php echo ($cfg_mb_reginfo == 'Y')? '' : 's';?>tip1"></div>
  <div class="theme fLeft">
    <form method="post" action="reg_new.php" id="regUser" name="form2">
      <input type="hidden" value="regbase" name="dopost"/>
      <input type="hidden" value="1" name="step"/>
      <input type="hidden" value="個人" name="mtype"/>
      <p style="text-align: right;" class="mB10"/>
      <ul>
        <li class="mL68">(帶<i class="red"> * </i>號的表示為必填項目，用戶名必須大於3位小於20位，密碼必須大於3位)</li>
        <li><span>帳號類型：</span>
         <?php
         if(!file_exists(DEDEDATA.'/cache/member_model.inc'))
         {
         	   $dsql->SetQuery("SELECT * FROM `#@__member_model` WHERE state='1'");
	           $dsql->Execute();
	           while($row=$dsql->GetObject())
	           {
		             $_MemberMod[$row->id]=array($row->name,$row->table);
           	 }
          } else {
           	     require_once DEDEDATA.'/cache/member_model.inc';
          }
            foreach ($_MemberMod as $type)
            {
                if($type[0] == '個人') echo ' <label><input type="radio" name="mtype" class="usermtype" value="'.$type[0].'" checked/>';
                elseif($type[0] == '企業') echo ' <label><input type="radio" name="mtype" class="usermtype2" value="'.$type[0].'" />';
                else echo ' <label><input type="radio" name="mtype" class="usermtype" value="'.$type[0].'" />';
                echo $type[0], '</label> &nbsp;';
            }
        ?>
        </li>
        <li><span>用戶名：</span>
          <input type="text" class="intxt w200" id="txtUsername" name="userid"/>
        <i class="red">*</i> <em id="_userid">(可以使用中文，但禁止除[@][.]以外的特殊符號)</em> </li>
        <li><span id="uwname">用戶筆名：</span>
          <input type="text" class="intxt w200" size="20" id="uname" name="uname"/>
          <i class="red">*</i> <em id="_uname"/> </li>
        <li><span>登陸密碼：</span>
          <input type="password" onkeyup="setPasswordLevel(this, document.getElementById('passwordLevel'));" style="font-family: verdana;" class="intxt w200" id="txtPassword" name="userpwd"/>
          <i class="red">*</i> </li>
        <li><span>密碼強度：</span>
          <input id="passwordLevel" class="rank r2" disabled="disabled" name="Input"/>
        </li>
        <li><span>確認密碼：</span>
          <input type="password" class="intxt w200" size="20" value="" id="userpwdok" name="userpwdok"/>
          <i class="red">*</i> <em id="_userpwdok"><font color="red"><b>×兩次輸入密碼不一致</b></font></em> </li>
          <?php
            if($safe_faq_reg == '1'){
            $faqkey = array_rand($safefaqs);
          ?>
          <li><span>請回答註冊問題：</span>
      	  <p class="cellBg">
            <?php echo $safefaqs[$faqkey]['question'];?> (答案:<?php echo $safefaqs[$faqkey]['answer'];?>)
           </li>
          <li><span>您的回答是：</span>
            <input name="rsafeanswer" type="text" id="rsafeanswer" size="25" style='width:200px;' class="intxt w200"/> 
            <input type="hidden" name="faqkey" value="<?php echo $faqkey;?>" />
            <i class="red">*</i> </li>
          <?php
          	}
          ?>
          <li><span>電子郵箱：</span>
            <input type="text" class="intxt w200" id="email" name="email"/>
            <i class="red">*</i> <em id="_email">(每個電子郵郵箱只能註冊一個帳號)</em> </li>
          <li><span>安全問題：</span>
            <?php
            require(DEDEDATA.'/safequestions.php');
            echo GetSafequestion(0,'safequestion');
            ?>
          <em id="_safequestion">(忘記密碼時重設密碼用)</em> </li>
          <li><span>問題答案：</span>
          <input id="safeanswer" class="intxt w200" type="text" value="" name="safeanswer"/>
          </li>
        <li><span>性別：</span>
            <input type="radio" value="男" name="sex"/>
            男
        <input type="radio" value="女" name="sex"/>
            女
            <input type="radio" checked="checked" value="" name="sex"/>
          保密        </li>
          <?php
            if(preg_match("/1/",$safe_gdopen)){
          ?>
          <li><span>驗證碼：</span>
            <input type="text" class="intxt w200" style="width: 50px; text-transform: uppercase;" id="vdcode" name="vdcode"/><img id="vdimgck" align="absmiddle" onclick="this.src=this.src+'?'" style="cursor: pointer;" alt="看不清？點擊更換" src="../include/vdimgck.php"/>
           看不清？ <a href="javascript:void(0)" onclick="changeAuthCode();">點擊更換</a></li>
           <?php }?>
      </ul>
      <div><span style="height: 110px; width: 15%;" class="fLeft">會員註冊協議：</span>
        <div class="contract"> 1、在本站註冊的會員，必須遵守《互聯網電子公告服務管理規定》，不得在本站發表誹謗他人，侵犯他人隱私，侵犯他人知識產權，傳播病毒，政治言論，商業訊息等信息。<br/>
          2、在所有在本站發表的文章，本站都具有最終編輯權，並且保留用於印刷或向第三方發表的權利，如果你的資料不齊全，我們將有權不作任何通知使用你在本站發佈的作品。<br/>
        3、在登記過程中，您將選擇註冊名和密碼。註冊名的選擇應遵守法律法規及社會公德。您必須對您的密碼保密，您將對您註冊名和密碼下發生的所有活動承擔責任。</div>
      </div>
      <br />
      <ul>
        <li><span>&nbsp;</span>
          <input type="checkbox" checked="" value="" id="agree" name="agree"/>
          我已閱讀並完全接受服務協議 </li>
        <li><span>&nbsp;</span>
          <button type="submit" id="btnSignCheck" class="buttonGreen142">完 善 信 息</button>
        </li>
      </ul>
    </form>
  </div>
  <br class="clear"/>
</div>
<script language="javascript" type="text/javascript">
	window.onload=function (){
		setInterval("document.getElementById('time').innerHTML=new Date().toLocaleString()+' 星期'+'日一二三四五六'.charAt(new Date().getDay());",1000);
	}
</script>
<div class="footer bor">
  <div class="fLeft mL10">Copyright &copy; 2004-2011 DEDECMS. 織夢科技 版權所有</div>
  <div class="fRight mR10" id="time">  </div>
</div>
</body>
</html>